Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QDirModel.Roles

    java.lang.Object
      java.lang.Enum<QDirModel.Roles>
          com.trolltech.qt.gui.QDirModel.Roles

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QDirModel.Roles>

Enclosing class:
  QDirModel

    public static enum QDirModel.Roles

extends java.lang.Enum<QDirModel.Roles>
implements QtEnumerator

Press link for info on QDirModel.Roles

Enum Constant Summary
`FileIconRole` Internal.
`FileNameRole` Internal.
`FilePathRole` Internal.

Method Summary
`static QDirModel.Roles` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QDirModel.Roles` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QDirModel.Roles[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### FileIconRole

    public static final QDirModel.Roles FileIconRole

  Internal.

### FilePathRole

    public static final QDirModel.Roles FilePathRole

  Internal.

### FileNameRole

    public static final QDirModel.Roles FileNameRole

  Internal.

Method Detail

### values

    public static final QDirModel.Roles[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QDirModel.Roles c : QDirModel.Roles.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QDirModel.Roles valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QDirModel.Roles resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD